From 535c69e62f1ed3db27ea6d39d304ebfcf0f12a29 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Fri, 1 Dec 2023 08:32:11 +0100
Subject: [PATCH 1/3] Remove unnecessary includes of <signal.h>

These were once needed for sig_atomic_t, but that no longer appears in
these headers, so the include is not needed.
---
 src/include/replication/walsender.h       | 2 --
 src/include/replication/worker_internal.h | 2 --
 2 files changed, 4 deletions(-)

diff --git a/src/include/replication/walsender.h b/src/include/replication/walsender.h
index 268f8e8d0f..60313980a9 100644
--- a/src/include/replication/walsender.h
+++ b/src/include/replication/walsender.h
@@ -12,8 +12,6 @@
 #ifndef _WALSENDER_H
 #define _WALSENDER_H
 
-#include <signal.h>
-
 /*
  * What to do with a snapshot in create replication slot command.
  */
diff --git a/src/include/replication/worker_internal.h b/src/include/replication/worker_internal.h
index 47854b5cd4..db73408937 100644
--- a/src/include/replication/worker_internal.h
+++ b/src/include/replication/worker_internal.h
@@ -12,8 +12,6 @@
 #ifndef WORKER_INTERNAL_H
 #define WORKER_INTERNAL_H
 
-#include <signal.h>
-
 #include "access/xlogdefs.h"
 #include "catalog/pg_subscription.h"
 #include "datatype/timestamp.h"
-- 
2.43.0

